[问题]可以让应用程序完全使用其它发行版上的连接库么

为当前最终发行版之前的所有版本提供支持
回复
fbsd4
帖子: 174
注册时间: 2007-03-19 8:07
送出感谢: 0
接收感谢: 0

[问题]可以让应用程序完全使用其它发行版上的连接库么

#1

帖子 fbsd4 » 2007-03-19 8:15

假如我正在用Feisty,可是有个应用程序只在其他发行版上面,例如Dapper才能运行正常。那么是否可
以把其它发行版上面运行此应用程序所需要的库文件(包括libc,ld)拷贝到

Feisty上面。

然后让应用程序在Feisty上只使用拷贝过来的这些文件?

是用LD_那些变量声明就可以么?
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2007-03-19 9:29

那就不知道会怎么样了。可能有些库可以,不过最好别搞。说不定,到时候tty都进不了,你就傻眼了。
● 鸣学
头像
juanzhewudi
帖子: 1114
注册时间: 2006-01-19 11:55
来自: HUST
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 juanzhewudi » 2007-03-19 20:33

man ld.so
man ldd

鼓励实验,搞定了别忘记分享
fbsd4
帖子: 174
注册时间: 2007-03-19 8:07
送出感谢: 0
接收感谢: 0

#4

帖子 fbsd4 » 2007-03-20 10:43

juanzhewudi 写了:man ld.so
man ldd

鼓励实验,搞定了别忘记分享


尝试一下看看,在网上看到许多LIB_的变量(还是宏?)的使用,发现对于
应用程序运行差错很有用处,是不是都在上面的man里面?


btw,那个程序可能找到问题所在了。
头像
juanzhewudi
帖子: 1114
注册时间: 2006-01-19 11:55
来自: HUST
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 juanzhewudi » 2007-03-23 11:45

差不多吧,给个linux下库的文档给你看吧:
附件
Program-Library-HOWTO.pdf.tar.gz
Program-libarary-HOWTO.pdf
(131.44 KiB) 下载 11 次
fbsd4
帖子: 174
注册时间: 2007-03-19 8:07
送出感谢: 0
接收感谢: 0

#6

帖子 fbsd4 » 2007-03-24 15:31

抓回来啃啃
回复

回到 “老旧版本支持”